package com.heyang.util;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.InputStreamReader;
import java.util.ArrayList;
import java.util.List;

public final class CommonUtil {
	
	public static String readTextFromFile(String filePath) throws Exception{
		File file=new File(filePath);
		if(!file.exists()) {
			throw new Exception(String.format("File:%s does not exist.", filePath));
		}
		
		StringBuilder sb=new StringBuilder();
		BufferedReader br = new BufferedReader(new InputStreamReader(new FileInputStream(filePath), "UTF-8"));  
        String line = null;  
        while( ( line = br.readLine() ) != null ) {
        	sb.append(line);
        }
        br.close();  
        return sb.toString();
	}
	
	public static List<String> readTextListFromFile(String filePath) throws Exception{
		File file=new File(filePath);
		if(!file.exists()) {
			throw new Exception(String.format("File:%s does not exist.", filePath));
		}
		
		List<String> retval=new ArrayList<String>();
		BufferedReader br = new BufferedReader(new InputStreamReader(new FileInputStream(filePath), "UTF-8"));  
        String line = null;  
        while( ( line = br.readLine() ) != null ) {
        	retval.add(line);
        }
        br.close();  
        return retval;
	}
}
